import { RobotArmAPI } from '../../../controllers/robot-arm-api'

export const robotArmTaskMoveByNoWait = {
  async robotArmTaskMoveByNoWait(_: any, { name, pose }, context: any) {
    const { domain } = context.state

    return RobotArmAPI.moveByNoWait(domain, name, { pose })
  }
}
